curl --request POST \
--url https://api.qovery.com/clusters/{clusterId}/analysis \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prometheus_url": "<string>",
"cmd_args": [
"--history_duration",
"336",
"--timeframe_duration",
"2.5",
"--cpu-request",
"99",
"--cpu-limit",
"99",
"--memory-buffer-percentage",
"15",
"--use-oomkill-data",
"--oom-memory-buffer-percentage",
"25",
"-n",
"default"
],
"target_kubernetes_version": "1.32"
}
'import requests
url = "https://api.qovery.com/clusters/{clusterId}/analysis"
payload = {
"prometheus_url": "<string>",
"cmd_args": ["--history_duration", "336", "--timeframe_duration", "2.5", "--cpu-request", "99", "--cpu-limit", "99", "--memory-buffer-percentage", "15", "--use-oomkill-data", "--oom-memory-buffer-percentage", "25", "-n", "default"],
"target_kubernetes_version": "1.32"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prometheus_url: '<string>',
cmd_args: [
'--history_duration',
'336',
'--timeframe_duration',
'2.5',
'--cpu-request',
'99',
'--cpu-limit',
'99',
'--memory-buffer-percentage',
'15',
'--use-oomkill-data',
'--oom-memory-buffer-percentage',
'25',
'-n',
'default'
],
target_kubernetes_version: '1.32'
})
};
fetch('https://api.qovery.com/clusters/{clusterId}/analysis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"triggered_by": "<string>",
"error_message": "<string>"
}Start cluster analysis
Starts a read-only analysis for the cluster. The result and logs can be retrieved later from the cluster analysis endpoints.
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Cluster ID
Body
COST_RECOMMENDATION, DEPRECATED_API_CHECK TABLE, JSON, CSV Optional Prometheus URL for COST_RECOMMENDATION analysis. When omitted, the engine resolves the default Qovery OBS endpoint.
Optional allowlisted KRR arguments for COST_RECOMMENDATION analysis. The engine validates and rejects unsupported or unsafe KRR flags.
[
"--history_duration",
"336",
"--timeframe_duration",
"2.5",
"--cpu-request",
"99",
"--cpu-limit",
"99",
"--memory-buffer-percentage",
"15",
"--use-oomkill-data",
"--oom-memory-buffer-percentage",
"25",
"-n",
"default"
]
Optional target Kubernetes version for DEPRECATED_API_CHECK analysis.
"1.32"
Response
Cluster analysis started
COST_RECOMMENDATION, DEPRECATED_API_CHECK PENDING, RUNNING, SUCCEEDED, FAILED, TERMINATED TABLE, JSON, CSV Was this page helpful?